Bug 816971 - gnome-shell notification sync - ex: notification about newly opened firefox tab gives the info of previous tab
gnome-shell notification sync - ex: notification about newly opened firefox t...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
16
x86_64 Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 07:26 EDT by collura
Modified: 2013-02-13 15:32 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 15:32:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description collura 2012-04-27 07:26:22 EDT
Description of problem:

  summary: 
    when gnome shell notification dialog 
    tells you about the tab being open 
    from a link you just clicked 
    it gives you the tab label of 
    the previously viewed tab 
    instead of the tab label of 
    the actually launched tab. :'(


so when you are in another program which is displaying 
a clickable html link,

if you click on that link and 
wait for firefox to open the link,

the firefox will indeed open the new tab 
with the correct link as expected :')

then gnome-shell will pop a notification dialog 
telling you that the new tab is now ready for viewing, ya :')

if you click on that notification about the new tab 
you will be wisked away to the correct new tab and 
can read the information of the link page as expected, ya :')

_however_ the notification label 
in that gnome-shell notification dialog
always seems to incorrectly give the tab name of 
  the previously_viewed firefox tab 
instead of 
  the tab name for the link that was just launched and delivered 
  via the dialog click. :'(


so instead of the info about the tab that the dialog is actually reporting 
to you about (and which will correctly wisk you to if click the dialog) 
it instead gives info about some other tab to keep you on yer toes.


minor but confusing like this coffee-less explaination.  :')


Version-Release number of selected component (if applicable):

 gnome-shell-3.2.2.1-1.fc16.86_64
 
How reproducible:

 always

Steps to Reproduce:
1. view some tab in firefox
2. go to another program and click on a link that opens a new firefox tab
3. gnome-shell notification of newly opened tab displays wrong information
  
Actual results:

  gnome shell notification of newly opened firefox tab gives 
    tab label information not of the newly opened tab 
    but rather of the last viewed tab

Expected results:

  notification of newly opened firefox tab should have correct tab information

Additional info:

 
 managed to find related bug filed already upstream as gnome-shell 
  'Wrong identification of opened window'
   https://bugzilla.gnome.org/show_bug.cgi?id=662765 

 also ran across some similar display confusion bugs for tomboy and dbus ... 
 but not sure related so not listing here for now other than this note to 
 remind myself to check again. :')
Comment 1 Fedora End Of Life 2013-01-16 11:40:00 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 15:32:59 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.